Package writer2latex.util

# Class StringComparator<T>

java.lang.Object
writer2latex.util.StringComparator<T>

Type Parameters:
  `T` - the class to compare

All Implemented Interfaces:
  `Comparator<T>`

public abstract class StringComparator<T> extends Object implements Comparator<T>
This is a `Comparator` implementation specific for objects compared by one or more string values.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`StringComparator(String sLanguage, String sCountry)`

## Method Summary

Modifier and Type
Method
Description
`protected Collator`
`getCollator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`compare, equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Constructor Details

### StringComparator

protected StringComparator(String sLanguage, String sCountry)

## Method Details

### getCollator

protected Collator getCollator()